Restart held payment plan
curl --request POST \
--url https://api.consumer.younegotiate.com/accounts/{consumer}/restart-plan \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.consumer.younegotiate.com/accounts/{consumer}/restart-plan"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.consumer.younegotiate.com/accounts/{consumer}/restart-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"account": {
"id": 123,
"identity": {
"account_name": "<string>",
"account_number": "<string>",
"member_account_number": "<string>",
"reference_number": "<string>",
"statement_id_number": "<string>",
"subclient_account_number": "<string>",
"consumer_name": "<string>",
"last4ssn": "<string>"
},
"display": {
"state": {
"label": "<string>",
"card_label": "<string>",
"priority": 123
},
"condition": {
"label": "<string>"
},
"view_flags": {
"is_installment_payment_plan": true,
"is_scheduled_settlement": true,
"is_agreed_installment_payment_plan": true,
"is_agreed_settlement": true,
"is_cancelled_plan": true,
"is_declined_closed_negotiation": true,
"is_pending_settlement_offer": true,
"is_counter_settlement_offer": true,
"is_active_installment_offer": true,
"is_returned_notice_response": true,
"is_creditor_removed_dispute_no_pay": true,
"is_no_pay_creditor_removed": true
},
"amounts": {
"payoff_balance": "2125.00",
"settlement_payoff_balance": "1750.00",
"current_balance": "2500.00",
"original_balance": "2500.00",
"my_settlement_offer": "100.00",
"creditor_settlement_offer": "490.00",
"active_installment_payoff_balance": "2125.00"
},
"balance_items": [
{
"key": "payoff_balance",
"label": "Payoff Balance",
"amount": "2125.00",
"amount_label": "$2,125.00"
}
],
"offer_summary_items": [
{
"key": "payoff_balance",
"label": "Payoff Balance",
"amount": "2125.00",
"amount_label": "$2,125.00"
}
],
"payment_plan_meta_items": [
{
"key": "next_due_date",
"label": "Next Due Date",
"value": "Jun 15, 2026"
}
],
"settlement_schedule_date": "<string>",
"available_actions": [
{
"key": "manage_plan",
"label": "Manage Plan"
}
]
},
"status": {
"value": "payment_accepted",
"label": "Payment Plan"
},
"hold_reason": "Need a short break from payments.",
"flags": {
"payment_setup": true,
"offer_accepted": true,
"counter_offer": true,
"has_failed_payment": true,
"custom_offer": true,
"membership_active_account": true
},
"dates": {
"placement_date": "2023-12-25",
"expiry_date": "2023-12-25",
"restart_date": "2023-12-25",
"last_login_at": "2023-11-07T05:31:56Z",
"disputed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"deactivated_at": "2023-11-07T05:31:56Z"
},
"company": {
"id": 123,
"company_name": "<string>",
"about_us": "<p>ABC Collections works with consumers on flexible repayment options.</p>"
},
"subclient": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>"
},
"reason_label": "<string>",
"balances": "<unknown>",
"offer_summary_items": [
"<unknown>"
],
"payment_plan_meta_items": [
"<unknown>"
],
"active_negotiation": {
"id": 123,
"negotiation_type_label": "<string>",
"active_negotiation": true,
"offer_accepted": true,
"offer_accepted_at": "2023-11-07T05:31:56Z",
"counter_offer_accepted": true,
"first_pay_date": "2023-12-25",
"monthly_amount": "<string>",
"no_of_installments": 123,
"last_month_amount": "<string>",
"one_time_settlement": "<string>",
"negotiate_amount": "<string>",
"counter_one_time_amount": "<string>",
"counter_negotiate_amount": "<string>",
"counter_monthly_amount": "<string>",
"counter_no_of_installments": 123,
"counter_first_pay_date": "2023-12-25",
"consumer_offer_sent_at": "2023-11-07T05:31:56Z",
"creditor_counter_offer_sent_at": "2023-11-07T05:31:56Z",
"last_offer_type": "<string>"
},
"scheduled_payment": {
"id": 123,
"date": "2023-12-25",
"amount": "<string>",
"status": "<string>"
},
"notice_response": {
"id": 123,
"account_name": "<string>",
"account_number": "<string>",
"notice_balance": "<string>",
"status": 123,
"status_label": "<string>",
"reason_label": "<string>",
"sender_detail": {
"id": 123,
"sender": {
"id": 123,
"company_name": "Acme Collections",
"company_phone": "(900) 509-1111",
"company_email": "jsmith@example.com",
"company_address1": "<string>",
"company_address2": "<string>",
"company_city": "<string>",
"company_state": "<string>",
"company_zip": "<string>",
"company_url": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"next_action": {
"key": "manage_plan",
"label": "Manage Plan"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}Restart held payment plan
Restart a held installment payment plan immediately. The account must belong to the authenticated consumer profile, be on hold, and have an active installment negotiation.
POST
/
accounts
/
{consumer}
/
restart-plan
Restart held payment plan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Response
Held payment plan restarted.
Examples:
"Negotiation restarted."
"Your account can be found in new offers."
"Your account plan has been successfully placed on hold."
"Your account plan has been successfully restarted."
"Your first pay date update successfully."
"Awesome! Your offer was sent to your creditor!"
"We have updated your account status and sent your response to the hosting YN member."
Show child attributes
Show child attributes
Last modified on July 19, 2026
Was this page helpful?
⌘I

